Index: src/libtclcad/tclcad_obj.c
===================================================================
--- src/libtclcad/tclcad_obj.c	(revision 54124)
+++ src/libtclcad/tclcad_obj.c	(working copy)
@@ -869,8 +869,8 @@
 static struct tclcad_obj *current_top = TCLCAD_OBJ_NULL;
 
 struct to_cmdtab {
-    char *to_name;
-    char *to_usage;
+    const char *to_name;
+    const char *to_usage;
     int to_maxargs;
     to_wrapper_func_ptr to_wrapper_func;
     ged_func_ptr to_func;
@@ -2169,8 +2169,8 @@
 	snprintf(cdimX, 32, "%d", gdvp->gdv_dmp->dm_width);
 	snprintf(cdimY, 32, "%d", gdvp->gdv_dmp->dm_height);
 
-	av[0] = "rect";
-	av[1] = "cdim";
+	av[0] = (char *)"rect";
+	av[1] = (char *)"cdim";
 	av[2] = cdimX;
 	av[3] = cdimY;
 	av[4] = '\0';
@@ -4669,18 +4669,18 @@
     size_t top_j = 0;
     size_t top_k = 0;
     int found_top = 0;
-    char *top_data_str = NULL;
-    char *top_data_label = NULL;
+    const char *top_data_str = (const char *)NULL;
+    const char *top_data_label = (const char *)NULL;
     static fastf_t tol = 0.015;
-    static char *data_polygons_str = "data_polygons";
-    static char *data_labels_str = "data_labels";
-    static char *sdata_labels_str = "sdata_labels";
-    static char *data_lines_str = "data_lines";
-    static char *sdata_lines_str = "sdata_lines";
-    static char *data_arrows_str = "data_arrows";
-    static char *sdata_arrows_str = "sdata_arrows";
-    static char *data_axes_str = "data_axes";
-    static char *sdata_axes_str = "sdata_axes";
+    static const char *data_polygons_str = "data_polygons";
+    static const char *data_labels_str = "data_labels";
+    static const char *sdata_labels_str = "sdata_labels";
+    static const char *data_lines_str = "data_lines";
+    static const char *sdata_lines_str = "sdata_lines";
+    static const char *data_arrows_str = "data_arrows";
+    static const char *sdata_arrows_str = "sdata_arrows";
+    static const char *data_axes_str = "data_axes";
+    static const char *sdata_axes_str = "sdata_axes";
 
     /* initialize result */
     bu_vls_trunc(gedp->ged_result_str, 0);
@@ -5803,8 +5803,8 @@
 	char *av[3];
 
 	gedp->ged_gvp = gdvp->gdv_view;
-	av[0] = "grid";
-	av[1] = "vsnap";
+	av[0] = (char *)"grid";
+	av[1] = (char *)"vsnap";
 	av[2] = '\0';
 	ged_grid(gedp, 2, (const char **)av);
 
@@ -6025,7 +6025,7 @@
     ret = ged_make(gedp, argc, argv);
 
     if (ret == GED_OK) {
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[argc-2];
 	av[2] = (char *)0;
 	to_autoview_func(gedp, 2, (const char **)av, ged_draw, (char *)0, TO_UNLIMITED);
@@ -6048,7 +6048,7 @@
     ret = ged_mirror(gedp, argc, argv);
 
     if (ret == GED_OK) {
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[argc-1];
 	av[2] = (char *)0;
 	to_autoview_func(gedp, 2, (const char **)av, ged_draw, (char *)0, TO_UNLIMITED);
@@ -6245,7 +6245,7 @@
     bu_vls_free(&pt_vls);
 
     if (ret == GED_OK) {
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[2];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -6345,8 +6345,8 @@
 
     gedp->ged_gvp = gdvp->gdv_view;
     ac = 3;
-    av[0] = "rot";
-    av[1] = "-m";
+    av[0] = (char *)"rot";
+    av[1] = (char *)"-m";
     av[2] = bu_vls_addr(&rot_vls);
     av[3] = (char *)0;
 
@@ -6457,8 +6457,8 @@
 
     gedp->ged_gvp = gdvp->gdv_view;
     ac = 3;
-    av[0] = "tra";
-    av[1] = "-m";
+    av[0] = (char *)"tra";
+    av[1] = (char *)"-m";
     av[2] = bu_vls_addr(&tran_vls);
     av[3] = (char *)0;
 
@@ -6536,7 +6536,7 @@
     bu_vls_printf(&pt_vls, "%lf %lf %lf", view[X], view[Y], view[Z]);
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "find_bot_edge_nearest_pt";
+    av[0] = (char *)"find_bot_edge_nearest_pt";
     av[1] = (char *)argv[2];
     av[2] = bu_vls_addr(&pt_vls);
     av[3] = (char *)0;
@@ -6607,7 +6607,7 @@
     bu_vls_printf(&pt_vls, "%lf %lf %lf", view[X], view[Y], view[Z]);
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "find_botpt_nearest_pt";
+    av[0] = (char *)"find_botpt_nearest_pt";
     av[1] = (char *)argv[2];
     av[2] = bu_vls_addr(&pt_vls);
     av[3] = (char *)0;
@@ -6680,7 +6680,7 @@
     bu_vls_printf(&pt_vls, "%lf %lf %lf", model[X], model[Y], model[Z]);
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "find_pipept_nearest_pt";
+    av[0] = (char *)"find_pipept_nearest_pt";
     av[1] = (char *)argv[2];
     av[2] = bu_vls_addr(&pt_vls);
     av[3] = (char *)0;
@@ -6769,8 +6769,8 @@
     bu_vls_printf(&pt_vls, "%lf %lf %lf", model[X], model[Y], model[Z]);
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "move_arb_edge";
-    av[1] = "-r";
+    av[0] = (char *)"move_arb_edge";
+    av[1] = (char *)"-r";
     av[2] = (char *)argv[2];
     av[3] = (char *)argv[3];
     av[4] = bu_vls_addr(&pt_vls);
@@ -6780,7 +6780,7 @@
     bu_vls_free(&pt_vls);
 
     if (ret == GED_OK) {
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[2];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -6867,8 +6867,8 @@
     bu_vls_printf(&pt_vls, "%lf %lf %lf", model[X], model[Y], model[Z]);
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "move_arb_face";
-    av[1] = "-r";
+    av[0] = (char *)"move_arb_face";
+    av[1] = (char *)"-r";
     av[2] = (char *)argv[2];
     av[3] = (char *)argv[3];
     av[4] = bu_vls_addr(&pt_vls);
@@ -6878,7 +6878,7 @@
     bu_vls_free(&pt_vls);
 
     if (ret == GED_OK) {
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[2];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -7045,10 +7045,10 @@
     bu_vls_printf(&pt_vls, "%lf %lf %lf", model[X], model[Y], model[Z]);
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "move_botpt";
+    av[0] = (char *)"move_botpt";
 
     if (rflag) {
-	av[1] = "-r";
+	av[1] = (char *)"-r";
 	av[2] = (char *)argv[2];
 	av[3] = (char *)argv[3];
 	av[4] = bu_vls_addr(&pt_vls);
@@ -7067,7 +7067,7 @@
     bu_vls_free(&pt_vls);
 
     if (ret == GED_OK) {
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[2];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -7167,7 +7167,7 @@
 	register int i, j;
 	int ac = argc - 2;
 	char **av = (char **)bu_calloc(ac, sizeof(char *), "to_mouse_move_botpts: av[]");
-	av[0] = "move_botpts";
+	av[0] = (char *)"move_botpts";
 
 	av[1] = (char *)argv[4];
 	av[2] = bu_vls_addr(&pt_vls);
@@ -7180,7 +7180,7 @@
 	bu_vls_free(&pt_vls);
 
 	if (ret == GED_OK) {
-	    av[0] = "draw";
+	    av[0] = (char *)"draw";
 	    av[1] = (char *)argv[4];
 	    av[2] = (char *)0;
 	    to_edit_redraw(gedp, 2, (const char **)av);
@@ -7271,8 +7271,8 @@
     bu_vls_printf(&pt_vls, "%lf %lf %lf", model[X], model[Y], model[Z]);
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "move_pipept";
-    av[1] = "-r";
+    av[0] = (char *)"move_pipept";
+    av[1] = (char *)"-r";
     av[2] = (char *)argv[2];
     av[3] = (char *)argv[3];
     av[4] = bu_vls_addr(&pt_vls);
@@ -7282,7 +7282,7 @@
     bu_vls_free(&pt_vls);
 
     if (ret == GED_OK) {
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[2];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -7380,7 +7380,7 @@
     } else {
 	char *av[6];
 
-	av[0] = "orotate";
+	av[0] = (char *)"orotate";
 	av[1] = (char *)argv[2];
 	av[2] = bu_vls_addr(&rot_x_vls);
 	av[3] = bu_vls_addr(&rot_y_vls);
@@ -7388,7 +7388,7 @@
 	av[5] = (char *)0;
 
 	if (ged_orotate(gedp, 5, (const char **)av) == GED_OK) {
-	    av[0] = "draw";
+	    av[0] = (char *)"draw";
 	    av[1] = (char *)argv[2];
 	    av[2] = (char *)0;
 	    to_edit_redraw(gedp, 2, (const char **)av);
@@ -7488,13 +7488,13 @@
     } else {
 	char *av[6];
 
-	av[0] = "oscale";
+	av[0] = (char *)"oscale";
 	av[1] = (char *)argv[2];
 	av[2] = bu_vls_addr(&sf_vls);
 	av[3] = (char *)0;
 
 	if (ged_oscale(gedp, 3, (const char **)av) == GED_OK) {
-	    av[0] = "draw";
+	    av[0] = (char *)"draw";
 	    av[1] = (char *)argv[2];
 	    av[2] = (char *)0;
 	    to_edit_redraw(gedp, 2, (const char **)av);
@@ -7597,7 +7597,7 @@
     } else {
 	char *av[6];
 
-	av[0] = "otranslate";
+	av[0] = (char *)"otranslate";
 	av[1] = (char *)argv[2];
 	av[2] = bu_vls_addr(&tran_x_vls);
 	av[3] = bu_vls_addr(&tran_y_vls);
@@ -7605,7 +7605,7 @@
 	av[5] = (char *)0;
 
 	if (ged_otranslate(gedp, 5, (const char **)av) == GED_OK) {
-	    av[0] = "draw";
+	    av[0] = (char *)"draw";
 	    av[1] = (char *)argv[2];
 	    av[2] = (char *)0;
 	    to_edit_redraw(gedp, 2, (const char **)av);
@@ -7727,9 +7727,9 @@
 
     gedp->ged_gvp = gdvp->gdv_view;
     ac = 5;
-    av[0] = "data_polygons";
+    av[0] = (char *)"data_polygons";
     av[1] = bu_vls_addr(&gdvp->gdv_name);
-    av[2] = "replace_poly";
+    av[2] = (char *)"replace_poly";
     av[3] = bu_vls_addr(&i_vls);
     av[4] = bu_vls_addr(&plist);
     av[5] = (char *)0;
@@ -7821,11 +7821,11 @@
 	bu_vls_printf(&plist, "%lf %lf %lf", V3ARGS(m_pt));
 
 	ac = 7;
-	av[0] = "data_polygons";
+	av[0] = (char *)"data_polygons";
 	av[1] = bu_vls_addr(&gdvp->gdv_name);
-	av[2] = "replace_point";
+	av[2] = (char *)"replace_point";
 	av[3] = bu_vls_addr(&i_vls);
-	av[4] = "0";
+	av[4] = (char *)"0";
 	av[5] = bu_vls_addr(&k_vls);
 	av[6] = bu_vls_addr(&plist);
 	av[7] = (char *)0;
@@ -7958,9 +7958,9 @@
 
     gedp->ged_gvp = gdvp->gdv_view;
     ac = 5;
-    av[0] = "data_polygons";
+    av[0] = (char *)"data_polygons";
     av[1] = bu_vls_addr(&gdvp->gdv_name);
-    av[2] = "replace_poly";
+    av[2] = (char *)"replace_poly";
     av[3] = bu_vls_addr(&i_vls);
     av[4] = bu_vls_addr(&plist);
     av[5] = (char *)0;
@@ -8078,9 +8078,9 @@
 
     gedp->ged_gvp = gdvp->gdv_view;
     ac = 5;
-    av[0] = "data_polygons";
+    av[0] = (char *)"data_polygons";
     av[1] = bu_vls_addr(&gdvp->gdv_name);
-    av[2] = "replace_poly";
+    av[2] = (char *)"replace_poly";
     av[3] = bu_vls_addr(&i_vls);
     av[4] = bu_vls_addr(&plist);
     av[5] = (char *)0;
@@ -8159,8 +8159,8 @@
     bu_vls_printf(&dy_vls, "%d", dy);
     gedp->ged_gvp = gdvp->gdv_view;
     ac = 4;
-    av[0] = "rect";
-    av[1] = "dim";
+    av[0] = (char *)"rect";
+    av[1] = (char *)"dim";
     av[2] = bu_vls_addr(&dx_vls);
     av[3] = bu_vls_addr(&dy_vls);
     av[4] = (char *)0;
@@ -8246,8 +8246,8 @@
 
     gedp->ged_gvp = gdvp->gdv_view;
     ac = 3;
-    av[0] = "rot";
-    av[1] = "-v";
+    av[0] = (char *)"rot";
+    av[1] = (char *)"-v";
     av[2] = bu_vls_addr(&rot_vls);
     av[3] = (char *)0;
 
@@ -8341,7 +8341,7 @@
     bu_vls_printf(&pt_vls, "%lf %lf %lf", model[X], model[Y], model[Z]);
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "rotate_arb_face";
+    av[0] = (char *)"rotate_arb_face";
     av[1] = (char *)argv[2];
     av[2] = (char *)argv[3];
     av[3] = (char *)argv[4];
@@ -8352,7 +8352,7 @@
     bu_vls_free(&pt_vls);
 
     if (ret == GED_OK) {
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[2];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -8438,7 +8438,7 @@
     bu_vls_printf(&zoom_vls, "%lf", sf);
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "zoom";
+    av[0] = (char *)"zoom";
     av[1] = bu_vls_addr(&zoom_vls);
     av[2] = (char *)0;
 
@@ -8532,7 +8532,7 @@
     bu_vls_printf(&mrot_vls, "%lf %lf %lf", V3ARGS(model));
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "protate";
+    av[0] = (char *)"protate";
     av[1] = (char *)argv[2];
     av[2] = (char *)argv[3];
     av[3] = bu_vls_addr(&mrot_vls);
@@ -8542,7 +8542,7 @@
     bu_vls_free(&mrot_vls);
 
     if (ret == GED_OK) {
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[2];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -8628,8 +8628,8 @@
     bu_vls_printf(&sf_vls, "%lf", sf);
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "pscale";
-    av[1] = "-r";
+    av[0] = (char *)"pscale";
+    av[1] = (char *)"-r";
     av[2] = (char *)argv[2];
     av[3] = (char *)argv[3];
     av[4] = bu_vls_addr(&sf_vls);
@@ -8639,7 +8639,7 @@
     bu_vls_free(&sf_vls);
 
     if (ret == GED_OK) {
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[2];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -8726,8 +8726,8 @@
     bu_vls_printf(&tvec_vls, "%lf %lf %lf", V3ARGS(model));
 
     gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "ptranslate";
-    av[1] = "-r";
+    av[0] = (char *)"ptranslate";
+    av[1] = (char *)"-r";
     av[2] = (char *)argv[2];
     av[3] = (char *)argv[3];
     av[4] = bu_vls_addr(&tvec_vls);
@@ -8737,7 +8737,7 @@
     bu_vls_free(&tvec_vls);
 
     if (ret == GED_OK) {
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[2];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -8819,8 +8819,8 @@
 
     gedp->ged_gvp = gdvp->gdv_view;
     ac = 3;
-    av[0] = "tra";
-    av[1] = "-v";
+    av[0] = (char *)"tra";
+    av[1] = (char *)"-v";
     av[2] = bu_vls_addr(&trans_vls);
     av[3] = (char *)0;
 
@@ -8989,7 +8989,7 @@
 	else
 	    i = 2;
 
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[i];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -9014,7 +9014,7 @@
     if ((ret = ged_move_botpts(gedp, argc, argv)) == GED_OK) {
 	char *av[3];
 
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[1];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -9172,7 +9172,7 @@
 	else
 	    i = 2;
 
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[i];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -9898,9 +9898,9 @@
     bu_vls_printf(&plist, "{ {%lf %lf %lf} {%lf %lf %lf} {%lf %lf %lf} {%lf %lf %lf} }",
 		  V3ARGS(m_pt), V3ARGS(m_pt), V3ARGS(m_pt), V3ARGS(m_pt));
     ac = 4;
-    av[0] = "data_polygons";
+    av[0] = (char *)"data_polygons";
     av[1] = bu_vls_addr(&gdvp->gdv_name);
-    av[2] = "append_poly";
+    av[2] = (char *)"append_poly";
     av[3] = bu_vls_addr(&plist);
     av[4] = (char *)0;
 
@@ -10003,7 +10003,7 @@
 
     MAT4X3PNT(m_pt, gdvp->gdv_view->gv_view2model, v_pt);
 
-    av[0] = "data_polygons";
+    av[0] = (char *)"data_polygons";
     av[1] = bu_vls_addr(&gdvp->gdv_name);
     if (gdpsp->gdps_cflag == 0) {
 	struct bu_vls plist = BU_VLS_INIT_ZERO;
@@ -10019,7 +10019,7 @@
 
 	bu_vls_printf(&plist, "{ {%lf %lf %lf} {%lf %lf %lf} }", V3ARGS(m_pt), V3ARGS(m_pt));
 	ac = 4;
-	av[2] = "append_poly";
+	av[2] = (char *)"append_poly";
 	av[3] = bu_vls_addr(&plist);
 	av[4] = (char *)0;
 
@@ -10042,16 +10042,16 @@
 	bu_vls_printf(&plist, "%lf %lf %lf", V3ARGS(m_pt));
 
 	ac = 7;
-	av[2] = "replace_point";
+	av[2] = (char *)"replace_point";
 	av[3] = bu_vls_addr(&i_vls);
-	av[4] = "0";
+	av[4] = (char *)"0";
 	av[5] = bu_vls_addr(&k_vls);
 	av[6] = bu_vls_addr(&plist);
 	av[7] = (char *)0;
 	(void)to_data_polygons(gedp, ac, (const char **)av, (ged_func_ptr)0, "", 0);
 
 	ac = 6;
-	av[2] = "append_point";
+	av[2] = (char *)"append_point";
 	av[5] = bu_vls_addr(&plist);
 	av[6] = (char *)0;
 	(void)to_data_polygons(gedp, ac, (const char **)av, (ged_func_ptr)0, "", 0);
@@ -10198,9 +10198,9 @@
     bu_vls_printf(&plist, "{ {%lf %lf %lf} {%lf %lf %lf} {%lf %lf %lf} {%lf %lf %lf} }",
 		  V3ARGS(m_pt), V3ARGS(m_pt), V3ARGS(m_pt), V3ARGS(m_pt));
     ac = 4;
-    av[0] = "data_polygons";
+    av[0] = (char *)"data_polygons";
     av[1] = bu_vls_addr(&gdvp->gdv_name);
-    av[2] = "append_poly";
+    av[2] = (char *)"append_poly";
     av[3] = bu_vls_addr(&plist);
     av[4] = (char *)0;
 
@@ -10322,9 +10322,9 @@
     bu_vls_printf(&plist, "{ {%lf %lf %lf} {%lf %lf %lf} {%lf %lf %lf} {%lf %lf %lf} }",
 		  V3ARGS(m_pt), V3ARGS(m_pt), V3ARGS(m_pt), V3ARGS(m_pt));
     ac = 4;
-    av[0] = "data_polygons";
+    av[0] = (char *)"data_polygons";
     av[1] = bu_vls_addr(&gdvp->gdv_name);
-    av[2] = "append_poly";
+    av[2] = (char *)"append_poly";
     av[3] = bu_vls_addr(&plist);
     av[4] = (char *)0;
 
@@ -10437,16 +10437,16 @@
     gdvp->gdv_view->gv_mode = TCLCAD_RECTANGLE_MODE;
 
     ac = 4;
-    av[0] = "rect";
-    av[1] = "dim";
-    av[2] = "0";
-    av[3] = "0";
+    av[0] = (char *)"rect";
+    av[1] = (char *)"dim";
+    av[2] = (char *)"0";
+    av[3] = (char *)"0";
     av[4] = (char *)0;
     (void)ged_rect(gedp, ac, (const char **)av);
 
     bu_vls_printf(&x_vls, "%d", (int)gdvp->gdv_view->gv_prevMouseX);
     bu_vls_printf(&y_vls, "%d", (int)gdvp->gdv_view->gv_prevMouseY);
-    av[1] = "pos";
+    av[1] = (char *)"pos";
     av[2] = bu_vls_addr(&x_vls);
     av[3] = bu_vls_addr(&y_vls);
     (void)ged_rect(gedp, ac, (const char **)av);
@@ -10454,9 +10454,9 @@
     bu_vls_free(&y_vls);
 
     ac = 3;
-    av[0] = "rect";
-    av[1] = "draw";
-    av[2] = "1";
+    av[0] = (char *)"rect";
+    av[1] = (char *)"draw";
+    av[2] = (char *)"1";
     av[3] = (char *)0;
     (void)ged_rect(gedp, ac, (const char **)av);
 
@@ -11346,7 +11346,7 @@
 
 	bu_vls_init(&save_result);
 
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[1];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -11378,7 +11378,7 @@
 
 	bu_vls_init(&save_result);
 
-	av[0] = "draw";
+	av[0] = (char *)"draw";
 	av[1] = (char *)argv[1];
 	av[2] = (char *)0;
 	to_edit_redraw(gedp, 2, (const char **)av);
@@ -11762,9 +11762,9 @@
 	sprintf(scale, "%f", gdvp->gdv_view->gv_scale * 2.0);
 
 	av[0] = (char *)argv[0];
-	av[1] = "-o";
+	av[1] = (char *)"-o";
 	av[2] = center;
-	av[3] = "-s";
+	av[3] = (char *)"-s";
 	av[4] = scale;
 	av[5] = (char *)argv[2];
 	av[6] = (char *)argv[3];
@@ -11773,7 +11773,7 @@
 	ret = ged_make(gedp, 7, (const char **)av);
 
 	if (ret == GED_OK) {
-	    av[0] = "draw";
+	    av[0] = (char *)"draw";
 	    av[1] = (char *)argv[2];
 	    av[2] = (char *)0;
 	    to_autoview_func(gedp, 2, (const char **)av, ged_draw, (char *)0, TO_UNLIMITED);
@@ -11851,8 +11851,8 @@
 	if (gdvp->gdv_view->gv_grid.ggs_snap) {
 
 	    gedp->ged_gvp = gdvp->gdv_view;
-	    av[0] = "grid";
-	    av[1] = "vsnap";
+	    av[0] = (char *)"grid";
+	    av[1] = (char *)"vsnap";
 	    av[2] = '\0';
 	    ged_grid(gedp, 2, (const char **)av);
 	}
@@ -11998,7 +11998,7 @@
     char *av[2];
     int aflag = 0;
 
-    av[0] = "who";
+    av[0] = (char *)"who";
     av[1] = (char *)0;
     ret = ged_who(gedp, 1, (const char **)av);
 
@@ -12603,7 +12603,7 @@
     const char *av[3];
 
     gdvp->gdv_gop->go_gedp->ged_gvp = gdvp->gdv_view;
-    av[0] = "autoview";
+    av[0] = (char *)"autoview";
     av[1] = scale;
     av[2] = NULL;
 
Index: src/sig/smod.c
===================================================================
--- src/sig/smod.c	(revision 54124)
+++ src/sig/smod.c	(working copy)
@@ -45,7 +45,7 @@
 #define BUFLEN 65536
 
 
-char *progname = "(noname)";
+const char *progname = "(noname)";
 
 int numop = 0;		/* number of operations */
 int op[256];		/* operations */
@@ -109,7 +109,7 @@
     if (bu_optind >= argc) {
 	if (isatty((int)fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
     } else {
 	char *ifname;
 	file_name = argv[bu_optind];
Index: src/sig/umod.c
===================================================================
--- src/sig/umod.c	(revision 54124)
+++ src/sig/umod.c	(working copy)
@@ -38,7 +38,7 @@
 #include "vmath.h"
 
 
-char *progname = "umod";
+const char *progname = "umod";
 char *file_name = NULL;
 
 
@@ -107,7 +107,7 @@
     if ( bu_optind >= argc )  {
 	if ( isatty((int)fileno(stdin)) )
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
     } else {
 	char *ifname;
 	file_name = argv[bu_optind];
Index: src/sig/istats.c
===================================================================
--- src/sig/istats.c	(revision 54124)
+++ src/sig/istats.c	(working copy)
@@ -45,7 +45,7 @@
 /*
  * P A R S E _ A R G S --- Parse through command line flags
  */
-int parse_args(int ac, char **av, char *progname)
+int parse_args(int ac, char **av, const char *progname)
 {
     int c;
 
@@ -108,7 +108,7 @@
  */
 int main(int ac, char *av[])
 {
-    char *progname = "(noname)";
+    const char *progname = "(noname)";
     int arg_index;
 
     /* parse command flags
Index: src/sig/dmod.c
===================================================================
--- src/sig/dmod.c	(revision 54124)
+++ src/sig/dmod.c	(working copy)
@@ -106,7 +106,7 @@
     if ( bu_optind >= argc )  {
 	if ( isatty(fileno(stdin)) )
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/sig/ustats.c
===================================================================
--- src/sig/ustats.c	(revision 54124)
+++ src/sig/ustats.c	(working copy)
@@ -34,8 +34,8 @@
 #include "bu.h"
 
 
-char *options = "h";
-char *progname = "(noname)";
+const char *options = "h";
+const char *progname = "(noname)";
 
 /*
  * U S A G E --- tell user how to invoke this program, then exit
Index: src/sig/imod.c
===================================================================
--- src/sig/imod.c	(revision 54124)
+++ src/sig/imod.c	(working copy)
@@ -38,7 +38,7 @@
 #include "vmath.h"
 
 
-char *progname = "(noname)";
+const char *progname = "(noname)";
 char *file_name = NULL;
 
 
@@ -107,7 +107,7 @@
     if ( bu_optind >= argc )  {
 	if ( isatty((int)fileno(stdin)) )
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
     } else {
 	char *ifname;
 	file_name = argv[bu_optind];
Index: src/liboptical/sh_light.c
===================================================================
--- src/liboptical/sh_light.c	(revision 54124)
+++ src/liboptical/sh_light.c	(working copy)
@@ -903,7 +903,7 @@
     int light_visible = 0;
     int air_sols_seen = 0;
     int is_proc;
-    char *reason = "???";
+    const char *reason = "???";
 
 #ifdef RT_MULTISPECTRAL
     struct bn_tabdata *ms_filter_color = BN_TABDATA_NULL;
Index: src/liboptical/photonmap.c
===================================================================
--- src/liboptical/photonmap.c	(revision 54124)
+++ src/liboptical/photonmap.c	(working copy)
@@ -345,7 +345,7 @@
 
 
 int
-CheckMaterial(char *cmp, char *MS)
+CheckMaterial(const char *cmp, char *MS)
 {
     size_t i;
 
Index: src/liboptical/sh_grass.c
===================================================================
--- src/liboptical/sh_grass.c	(revision 54124)
+++ src/liboptical/sh_grass.c	(working copy)
@@ -257,7 +257,7 @@
 
 
 static void
-print_plant(char *str, const struct plant *plant)
+print_plant(const char *str, const struct plant *plant)
 {
     int blade, seg;
 
@@ -1243,7 +1243,7 @@
      * the number of times we've made a full step in the X direction.
      */
     for (n=X; n < Z; n++) {
-	char *s;
+	const char *s;
 	if (n == X) s="X";
 	else s="Y";
 
Index: src/liboptical/sh_camo.c
===================================================================
--- src/liboptical/sh_camo.c	(revision 54124)
+++ src/liboptical/sh_camo.c	(working copy)
@@ -214,7 +214,7 @@
 
 
 HIDDEN int
-setup(register struct region *rp, struct bu_vls *matparm, genptr_t *dpp, struct rt_i *rtip, char *parameters, struct camo_specific defaults)
+setup(register struct region *rp, struct bu_vls *matparm, genptr_t *dpp, struct rt_i *rtip, const char *parameters, struct camo_specific defaults)
 {
 /* pointer to reg_udata in *rp */
 
Index: src/shapes/fence.c
===================================================================
--- src/shapes/fence.c	(revision 54124)
+++ src/shapes/fence.c	(working copy)
@@ -38,7 +38,7 @@
 
 /* command-line options are described in the parseArguments function
  */
-char *options="IiDdVvO:o:N:n:U:u:H:h:L:l:R:r:J:j:A:a:T:t:B:b:C:c:F:f:P:p:M:m:W:w:S:s:E:e:G:g:XxZz";
+const char *options="IiDdVvO:o:N:n:U:u:H:h:L:l:R:r:J:j:A:a:T:t:B:b:C:c:F:f:P:p:M:m:W:w:S:s:E:e:G:g:XxZz";
 
 /*
  * these variables control the "behavior" of this program's output if
@@ -122,7 +122,7 @@
  * displayed when an invalid command line argument is entered or if
  * the user explicitly requests assistance.
  ***************************************/
-void argumentHelp(FILE *fp, char *progname, char *message)
+void argumentHelp(FILE *fp, char *progname, const char *message)
 {
 
     fflush(stdout);
@@ -644,7 +644,7 @@
  * passed to some fp (usually DEFAULT_DEBUG_OUTPUT or
  * DEFAULT_VERBOSE_OUTPUT).
  *************************/
-void printMatrix(FILE *fp, char *n, fastf_t *m)
+void printMatrix(FILE *fp, const char *n, fastf_t *m)
 {
     int i = 0;
     fprintf(fp, "\n-----%s------\n", n);
@@ -685,7 +685,7 @@
  * comprise the base, prefix, and suffix of the name.  any three are
  * optional by sending a NULL parameter
  *****************************************/
-char *getPrePostName(char *prefix, char *base, char *suffix)
+char *getPrePostName(char *prefix, char *base, const char *suffix)
 {
     static char newname[DEFAULT_MAXNAMELENGTH];
 
Index: src/shapes/fence.h
===================================================================
--- src/shapes/fence.h	(revision 54124)
+++ src/shapes/fence.h	(working copy)
@@ -255,13 +255,13 @@
 #endif
 
 
-    extern void argumentHelp(FILE *fp, char *progname, char *message);
+    extern void argumentHelp(FILE *fp, char *progname, const char *message);
     extern void argumentExamples(FILE *fp, char *progname);
     extern void defaultSettings(FILE *fp);
     extern int parseArguments(int argc, char *argv[]);
-    extern void printMatrix(FILE *fp, char *n, mat_t m);
+    extern void printMatrix(FILE *fp, const char *n, mat_t m);
     extern char *getName(const char *base, int id, const char *suffix);
-    extern char *getPrePostName(char *prefix, char *base, char *suffix);
+    extern char *getPrePostName(char *prefix, char *base, const char *suffix);
 
     extern int generateFence_s(struct rt_wdb *fp, char *fencename, point_t startposition, point_t endposition);
     extern int generateFence(struct rt_wdb *fp, char *fencename, point_t startposition, vect_t heightvector, vect_t widthvector);
Index: src/shapes/coil.c
===================================================================
--- src/shapes/coil.c	(revision 54124)
+++ src/shapes/coil.c	(working copy)
@@ -315,7 +315,7 @@
 ReadArgs(int argc, char **argv, struct bu_list *sections, fastf_t *mean_outer_diameter, fastf_t *wire_diameter, fastf_t *helix_angle, fastf_t *pitch, int *nt, int *start_cap_type, int *end_cap_type, fastf_t *overall_length, int *lhf)
 {
     int c = 0;
-    char *options="d:w:h:p:n:s:e:S:l:L";
+    const char *options="d:w:h:p:n:s:e:S:l:L";
     int numturns, stype, etype, lhflag;
     float mean_od, wired, h_angle, ptch, lngth;
     int d1, d6;
Index: src/rt/reshoot.c
===================================================================
--- src/rt/reshoot.c	(revision 54124)
+++ src/rt/reshoot.c	(working copy)
@@ -87,7 +87,7 @@
 #include "./rtuif.h"
 
 
-char *progname = "(noname)";
+const char *progname = "(noname)";
 
 /**
  * @struct shot
@@ -138,7 +138,7 @@
  *	U S A G E --- tell user how to invoke this program, then exit
  */
 void
-usage(char *s)
+usage(const char *s)
 {
     if (s) (void)fputs(s, stderr);
     bu_exit(1, "Usage: %s geom.g obj [obj...] < rayfile \n", progname);
Index: src/rt/opt.c
===================================================================
--- src/rt/opt.c	(revision 54124)
+++ src/rt/opt.c	(working copy)
@@ -211,7 +211,7 @@
 		break;
 	    case 'j':
 	    {
-		register char	*cp = bu_optarg;
+		register char	*cp = (char *)bu_optarg;
 
 		sub_xmin = atoi(cp);
 		while ( (*cp >= '0' && *cp <= '9') )  cp++;
@@ -274,7 +274,7 @@
 	    {
 		char		buf[128];
 		int		r, g, b;
-		register char	*cp = bu_optarg;
+		register char	*cp = (char *)bu_optarg;
 
 		r = atoi(cp);
 		while ( (*cp >= '0' && *cp <= '9') )  cp++;
@@ -350,7 +350,7 @@
 		    jitter = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'D':
 		desiredframe = atoi( bu_optarg );
@@ -428,7 +428,7 @@
 
 		/* Select lighting model # */
 		lightmodel= 1;	/* Initialize with Full Lighting Model */
-		item= strtok(bu_optarg, ",");
+		item= strtok((char *)bu_optarg, ",");
 		lightmodel= atoi(item);
 
 		if (lightmodel == 7) {
@@ -462,12 +462,12 @@
 	    break;
 	    case 'O':
 		/* Output pixel file name, double precision format */
-		outputfile = bu_optarg;
+		outputfile = (char *)bu_optarg;
 		doubles_out = 1;
 		break;
 	    case 'o':
 		/* Output pixel file name, unsigned char format */
-		outputfile = bu_optarg;
+		outputfile = (char *)bu_optarg;
 		doubles_out = 0;
 		break;
 	    case 'p':
@@ -550,7 +550,7 @@
 	    case 'b':
 		/* Specify a single pixel to be done */
 		/* Actually processed in do_frame() */
-		string_pix_start = bu_optarg;
+		string_pix_start = (char *)bu_optarg;
 		npsw = 1;	/* Cancel running in parallel */
 		break;
 	    case 'f':
@@ -570,7 +570,7 @@
 		/* View aspect */
 
 		fastf_t xx, yy;
-		register char *cp = bu_optarg;
+		register char *cp = (char *)bu_optarg;
 
 		xx = atof(cp);
 		while ( (*cp >= '0' && *cp <= '9')
@@ -600,7 +600,7 @@
 		break;
 	    case '+':
 	    {
-		register char	*cp = bu_optarg;
+		register char	*cp = (char *)bu_optarg;
 		switch (*cp) {
 		    case 't':
 			output_is_binary = 0;
Index: src/libbn/tcl.c
===================================================================
--- src/libbn/tcl.c	(revision 54124)
+++ src/libbn/tcl.c	(working copy)
@@ -184,7 +184,7 @@
 
 
 static struct math_func_link {
-    char *name;
+    const char *name;
     void (*func)();
 } math_funcs[] = {
     {"bn_dist_pt2_lseg2",	(void (*)())bn_dist_pt2_lseg2},
Index: src/lgt/trie.c
===================================================================
--- src/lgt/trie.c	(revision 54124)
+++ src/lgt/trie.c	(working copy)
@@ -436,9 +436,9 @@
 	}
 	else
 	    if ( i == DEL )
-		return	"DL";
+		return	(char *)"DL";
 	    else
-		return	"EOF";
+		return	(char *)"EOF";
     return	buf;
 }
 
Index: src/lgt/execshell.c
===================================================================
--- src/lgt/execshell.c	(revision 54124)
+++ src/lgt/execshell.c	(working copy)
@@ -88,7 +88,7 @@
 		||	BU_STR_EQUAL( arg_sh, TCSH )
 		||	BU_STR_EQUAL( arg_sh, CSH )
 	    )
-	    arg_sh = DFL_SHELL;
+	    arg_sh = (char *)DFL_SHELL;
 	args[0] = arg_sh;
 	args[1] = NULL;
     }
@@ -123,7 +123,7 @@
 	    (void) signal( SIGQUIT, quit_sig );
 	    if ( pid == -1 ) {
 		/* No children. */
-		loc_Perror( "wait" );
+		loc_Perror( (char *)"wait" );
 		return errno;
 	    }
 	    switch ( stat_loc & 0377 ) {
Index: src/lgt/hmenu.c
===================================================================
--- src/lgt/hmenu.c	(revision 54124)
+++ src/lgt/hmenu.c	(working copy)
@@ -95,9 +95,9 @@
     HMitem	*citemp;
     for ( citemp = itemp; citemp->text != NULL; citemp++ )
     {
-	free( citemp->text );
+	free( (char *)citemp->text );
 	if ( citemp->help != NULL )
-	    free( citemp->help );
+	    free( (char *)citemp->help );
     }
     free( (char *) itemp );
     return;
@@ -424,7 +424,7 @@
 	    {
 		size_t len = strlen( gitemp->text ) + 1;
 		Alloc(itemp->text, char, len);
-		bu_strlcpy( itemp->text, gitemp->text, len );
+		bu_strlcpy( (char *)itemp->text, gitemp->text, len );
 	    }
 	    else
 		itemp->text = NULL;
@@ -432,7 +432,7 @@
 	    {
 		size_t len = strlen( gitemp->help ) + 1;
 		Alloc( itemp->help, char, len);
-		bu_strlcpy( itemp->help, gitemp->help, len );
+		bu_strlcpy( (char *)itemp->help, gitemp->help, len );
 	    }
 	    else
 		itemp->help = NULL;
